Skip to main content
GET
/
transactions
/
{transaction_hash_param}
/
state-changes
Get on-chain state changes caused by a specific transaction
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/transactions/{transaction_hash_param}/state-changes?apikey='
{
  "items": [
    {
      "address": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "balance_after": "<string>",
      "balance_before": "<string>",
      "change": "<string>",
      "is_miner": true,
      "token": {
        "address_hash": "<string>",
        "circulating_market_cap": "<string>",
        "decimals": "<string>",
        "exchange_rate": "<string>",
        "holders_count": "<string>",
        "icon_url": "https://example.com",
        "name": "<string>",
        "reputation": "ok",
        "symbol": "<string>",
        "total_supply": "<string>",
        "type": "ERC-20",
        "volume_24h": "<string>",
        "bridge_type": "omni",
        "foreign_address": "<string>",
        "origin_chain_id": "<string>"
      },
      "type": "token",
      "token_id": "<string>"
    }
  ],
  "next_page_params": {
    "items_count": 50,
    "state_changes": null
  }
}

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Path Parameters

transaction_hash_param
string
required

Transaction hash in the path

Pattern: ^0x([A-Fa-f0-9]{64})$

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

state_changes
string | null

State changes for paging

items_count
integer

Cumulative number of items to skip for keyset-based pagination of state changes

Required range: x >= 1

Response

State changes caused by the specified transaction, with pagination.

items
StateChange · object[]
required
next_page_params
object
required
Example:
{ "items_count": 50, "state_changes": null }